import React from 'react';
import type { InnerShadowProps, LinearInnerShadowProps } from '../types';
/**
 * ShadowView
 * -----------
 * A React Native component that renders an inset (or standard) shadow around its children
 * using a Skia-based <Canvas>. The shadow parameters (color, blur, offsets) and background
 * color can be customized via props.
 */
declare const ShadowView: React.FunctionComponent<InnerShadowProps>;
/**
 * LinearShadowView
 * -----------------
 * A specialized component for rendering a view with a
 * linear gradient background and an optional inset shadow.
 * It measures the component's size, then delegates
 * the actual drawing to `LinearShadowCanvas`.
 */
declare const LinearShadowView: React.FunctionComponent<LinearInnerShadowProps>;
export { ShadowView, LinearShadowView };
//# sourceMappingURL=ShadowView.d.ts.map